window.addEventListener('load', () => {
    const inputs = document.querySelectorAll('.dt-container thead input');
  
    inputs.forEach((input) => {
        input.addEventListener('keydown', function (evt) {
            if ((evt.metaKey || evt.ctrlKey) && evt.key === 'a') this.select();
        });
    });
});

const formatTimestamp = timestamp => {
    let d;
    if (typeof timestamp === "string") {
        d = new Date(timestamp.replace(" ", "T"));
    }
    else {
        d = new Date(timestamp);
    }

    const now = new Date();

    // If younger than a year, show time
    // otherwise show the year
    return now - d < 31536000000
        ? `${d.getDate()} ${d.toLocaleString("en-GB", { month: "short" })}, ${d.getHours().toString().padStart(2, "0")}:${d.getMinutes().toString().padStart(2, "0")}`
        : `${d.getDate()} ${d.toLocaleString("en-GB", { month: "short" })} ${d.getFullYear()}`;
}