import type { Knex } from "knex";

const TABLE = "subscriptions";

export async function up(knex: Knex): Promise<void> {
    await knex.schema.createTable(TABLE, table => {
        table.increments("id").primary();
        table.string("name").notNullable();
        table.string("url").notNullable();
        table.string("guild_id").notNullable();
        table.boolean("active").notNullable().defaultTo(true);
        table.timestamps(true, true);
    });
}

export async function down(knex: Knex): Promise<void> {
    await knex.schema.dropTableIfExists(TABLE);
}

