import { subscribe } from "diagnostics_channel";
import { Knex, SchemaBuilder } from "knex";

const TABLE = "channels";

export async function seed(knex: Knex): Promise<void> {
    // Deletes ALL existing entries
    await knex(TABLE).del();

    // Inserts seed entries
    await knex(TABLE).insert([
        {
            channel_id: "1204426363440861207",
            subscription_id: 1,
        },
        {
            channel_id: "1204540472031322192",
            subscription_id: 1,
        },
        {
            channel_id: "819332348214247471",
            subscription_id: 10
        },
        {
            channel_id: "819325370087112747",
            subscription_id: 10
        },
        {
            channel_id: "819334448268181515",
            subscription_id: 14
        },
        {
            channel_id: "819325370087112747",
            subscription_id: 14
        },
        {
            channel_id: "918648963492618261",
            subscription_id: 14
        }

    ]);
};
