import { Request, Response, NextFunction } from "express";

export const ensureAuthenticated = (request: Request, response: Response, next: NextFunction) => {
    if (request.isAuthenticated()) {
        return next();
    }

    response.redirect("/auth/login");
};

export const forwardAuthenticated = (request: Request, response: Response, next: NextFunction) => {
    if (request.isAuthenticated()) {
        return response.redirect("/");
    }

    next();
};
