import { Router } from "express";
import { ensureAuthenticated, forwardAuthenticated } from "@server/middleware/authenticated";
import controller from "@server/controllers/auth.web.controller";

const router = Router();

router.get("/login", forwardAuthenticated, controller.get);
router.get("/logout", ensureAuthenticated, controller.logout);
router.get("/api", forwardAuthenticated, controller.authenticate);

export default router;