import { Router } from "express";

import subApiController from "@server/controllers/guild/sub.api.controller";
import filterApiController from "@server/controllers/guild/filter.api.controller";

const router = Router();

router.get("/:guildId/subscriptions/api/datatable", subApiController.datatable);
router.get("/:guildId/subscriptions/api", subApiController.get);
router.post("/:guildId/subscriptions/api", subApiController.post);
router.delete("/:guildId/subscriptions/api", subApiController.del);

router.get("/:guildId/filters/api/datatable", filterApiController.datatable);
router.get("/:guildId/filters/api", filterApiController.get);
router.post("/:guildId/filters/api", filterApiController.post);
// router.delete("/:guildId/filters/api", filterApiController.del);

export default router;