// Generate an avatar from a given string

const { createCanvas } = require("canvas");

const generateDefaultAvatar = (inputString, colour=null, bgColour=null, width=200, height=200, fontSize=null) => {
    if (!inputString) { return; }

    const words = inputString.split(" ").slice(0, 2);
    const initials = words.map(word => word[0].toUpperCase()).join("");

    const canvas = createCanvas(width, height);
    const context = canvas.getContext("2d");

    // // Background
    // context.fillStyle = bgColour ? bgColour : "#" + Math.floor(Math.random()*16777215).toString(16);
    // context.fillRect(0, 0, canvas.width, canvas.height);

    // Text
    const fontSizePixels = fontSize || width * 0.3;
    context.fillStyle = colour || "#FFFFFF";
    context.font = `bold ${fontSizePixels}px sans-serif`;
    context.textAlign = "center";
    context.textBaseline = "middle";
    context.fillText(initials, canvas.width / 2, canvas.height / 2);

    return canvas.toDataURL();
};

module.exports = generateDefaultAvatar;
